<?php

  $clothing_brand_store_color_palette_css = '';

	// Global Color

	$clothing_brand_store_first_color = clothing_brand_store_get_option('clothing_brand_store_first_color');
	$clothing_brand_store_second_color = clothing_brand_store_get_option('clothing_brand_store_second_color');

	if($clothing_brand_store_first_color != false){
		$clothing_brand_store_color_palette_css .=':root {';
			$clothing_brand_store_color_palette_css .='--primary-theme-color: '.esc_attr($clothing_brand_store_first_color).'!important;';
			$clothing_brand_store_color_palette_css .='--secondary-theme-color: '.esc_attr($clothing_brand_store_second_color).'!important;';
		$clothing_brand_store_color_palette_css .='}';
	}

	// Copyright Background Color
	$clothing_brand_store_copyright_background_color = clothing_brand_store_get_option('clothing_brand_store_copyright_background_color');
	$clothing_brand_store_color_palette_css .='#colophon {';
	$clothing_brand_store_color_palette_css .='background: '.esc_attr($clothing_brand_store_copyright_background_color);
	$clothing_brand_store_color_palette_css .='}';

	// Copyright Text Color
	$clothing_brand_store_copyright_text_color = clothing_brand_store_get_option('clothing_brand_store_copyright_text_color');
	$clothing_brand_store_color_palette_css .='#colophon a , #colophon{';
	$clothing_brand_store_color_palette_css .='color: '.esc_attr($clothing_brand_store_copyright_text_color);
	$clothing_brand_store_color_palette_css .='}';


	// Site title And tagline Option
	$clothing_brand_store_site_title_font_size = clothing_brand_store_get_option('clothing_brand_store_site_title_font_size');
	$clothing_brand_store_site_title_color = clothing_brand_store_get_option('clothing_brand_store_site_title_color');
	$clothing_brand_store_color_palette_css .='.site-title>a , .site-title {';
		$clothing_brand_store_color_palette_css .='font-size: '.esc_attr($clothing_brand_store_site_title_font_size).'px;';
		$clothing_brand_store_color_palette_css .='color: '.esc_attr($clothing_brand_store_site_title_color).';';
	$clothing_brand_store_color_palette_css .='}';
	
	$clothing_brand_store_site_tagline_font_size = clothing_brand_store_get_option('clothing_brand_store_site_tagline_font_size');
	if($clothing_brand_store_site_tagline_font_size != false){
		$clothing_brand_store_color_palette_css .='.site-description {';
			$clothing_brand_store_color_palette_css .='font-size: '.esc_attr($clothing_brand_store_site_tagline_font_size).'px;';
		$clothing_brand_store_color_palette_css .='}';
	}

	//First Cap
	$clothing_brand_store_show_first_caps = clothing_brand_store_get_option('clothing_brand_store_show_first_caps', false);
	if($clothing_brand_store_show_first_caps == 'true' ){
	$clothing_brand_store_color_palette_css .='.blog-content .text-content p:nth-of-type(1)::first-letter{';
	$clothing_brand_store_color_palette_css .=' font-size: 50px; font-weight: 600;';
	$clothing_brand_store_color_palette_css .=' margin-right: 5px;';
	$clothing_brand_store_color_palette_css .=' line-height: 1;';
	$clothing_brand_store_color_palette_css .='}';
	}elseif($clothing_brand_store_show_first_caps == 'false' ){
	$clothing_brand_store_color_palette_css .='.blog-content .text-content p:nth-of-type(1)::first-letter {';
	$clothing_brand_store_color_palette_css .='display: none;';
	$clothing_brand_store_color_palette_css .='}';
	}

	// preloader background image
	$clothing_brand_store_show_preloader_background_image = clothing_brand_store_get_option('clothing_brand_store_show_preloader_background_image');
	if($clothing_brand_store_show_preloader_background_image != false){
		$clothing_brand_store_color_palette_css .='#preloader {';
			$clothing_brand_store_color_palette_css .='background: url('.esc_attr($clothing_brand_store_show_preloader_background_image).');-webkit-background-size: cover; -moz-background-size: cover; -o-background-size: cover; background-size: cover;';
		$clothing_brand_store_color_palette_css .='}';
	}